Bug 213416 - databases/memcached: Update to version 1.4.31
Summary: databases/memcached: Update to version 1.4.31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-12 13:42 UTC by luca.pizzamiglio
Modified: 2016-11-02 05:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
The updating patch (2.60 KB, patch)
2016-10-12 13:42 UTC, luca.pizzamiglio
no flags Details | Diff
The updating patch, fixing the DOCS generation/installation (2.65 KB, patch)
2016-10-26 21:58 UTC, luca.pizzamiglio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description luca.pizzamiglio 2016-10-12 13:42:08 UTC
Created attachment 175665 [details]
The updating patch

Updating databases/memcached to the last stable version 1.4.31

While I'm here:
* removed deprecated USE_AUTOTOOLS and using USES=autoreconf
* removed a deprecated patch
* reworked DOCS and its dependency, as suggested by portlint

Sponsored by: trivago
Comment 1 Joseph Mingrone freebsd_committer 2016-10-26 16:22:11 UTC
Removing the check for DOCS to be on before installing the documentation will cause a staging error.  I think you want something like:

post-install:
        ${INSTALL_SCRIPT} ${WRKSRC}/scripts/memcached-tool ${STAGEDIR}${PREFIX}/bin

post-install-DOCS-on:
        ${MKDIR} ${STAGEDIR}${DOCSDIR}
.for i in protocol-binary-range.txt protocol-binary.txt protocol.txt \
                readme.txt threads.txt
        ${INSTALL_DATA} ${WRKSRC}/doc/${i} ${STAGEDIR}${DOCSDIR}
.endfor
Comment 2 luca.pizzamiglio 2016-10-26 21:58:49 UTC
Created attachment 176201 [details]
The updating patch, fixing the DOCS generation/installation

You're totally right, my first approach was too naive.

I rebuild/rechecked with and without DOCS a updated the patch.

portlint: OK (looks fine.)
testport: OK (poudriere: 11amd64 DOCS option tested, 11i386, 10.3amd64, 10.3i386, 9.3amd64, 9.3i386)
Comment 3 commit-hook freebsd_committer 2016-11-02 05:27:31 UTC
A commit references this bug:

Author: swills
Date: Wed Nov  2 05:26:58 UTC 2016
New revision: 425108
URL: https://svnweb.freebsd.org/changeset/ports/425108

Log:
  databases/memcached: Update to version 1.4.33

  PR:		213416
  Submitted by:	luca.pizzamiglio@gmail.com (with modifications)
  MFH:		2016Q4
  Relnotes:	https://github.com/memcached/memcached/wiki/ReleaseNotes1433
  Security:	f4bf713f-6ac7-4b76-8980-47bf90c5419f

Changes:
  head/databases/memcached/Makefile
  head/databases/memcached/distinfo
  head/databases/memcached/files/patch-thread.c
Comment 4 commit-hook freebsd_committer 2016-11-02 05:28:33 UTC
A commit references this bug:

Author: swills
Date: Wed Nov  2 05:28:28 UTC 2016
New revision: 425110
URL: https://svnweb.freebsd.org/changeset/ports/425110

Log:
  MFH: r425108

  databases/memcached: Update to version 1.4.33

  PR:		213416
  Submitted by:	luca.pizzamiglio@gmail.com (with modifications)
  Relnotes:	https://github.com/memcached/memcached/wiki/ReleaseNotes1433
  Security:	f4bf713f-6ac7-4b76-8980-47bf90c5419f

  Approved by:	portmgr (swills)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/databases/memcached/Makefile
  branches/2016Q4/databases/memcached/distinfo
  branches/2016Q4/databases/memcached/files/patch-thread.c
Comment 5 Steve Wills freebsd_committer 2016-11-02 05:30:33 UTC
Committed this along with update to 1.4.33 for security issue. Thanks and sorry for the wait.